Summary: A utility for retrieving files using the HTTP or FTP protocols.
Name: wget
%define version 1.8.2
Version: %{version}
Release: 5ml
Copyright: GPL
Group: Communication/FTP
Source: ftp://ftp.gnu.org/gnu/wget/wget-%{version}.tar.gz
Source2: wget-1.5.3-ko.po
Patch1: wget-1.6-symlink.patch
Patch3: wget-1.8-md5.patch
Patch4: wget-1.8.2-ht.patch
Patch5: wget-1.8.2-filename.patch
Provides: webclient
BuildRoot: /var/tmp/wget-root
Prereq: /sbin/install-info
BuildRequires: perl, openssl-devel

Summary(zh_CN.EUC): [ͨѶ]ǿس,ֶ֧ϵ
Summary(zh_TW.Big5): [qT]\jjU{,_I

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols.  Wget features include the ability to work in the
background while you're logged out, recursive retrieval of directories,
file name wildcard matching, remote file timestamp storage and comparison,
use of Rest with FTP servers and Range with HTTP servers to retrieve files
over slow or unstable connections, support for Proxy servers, and
configurability.

Install wget if you need to retrieve large numbers of files with HTTP or
FTP, or if you need a utility for mirroring web sites or FTP directories.

%prep
%setup -q
%patch3 -p1
%patch4 -p0
%patch5 -p1

%build
LTVERSION=`libtool --version |awk '{ print $4 }' |sed -e "s/\.//;s/\..*//g"`
if [ "$LTVERSION" -lt 14 ]; then
        export LTCONFIG_VERSION=1.3.4
fi
%configure --with-ssl
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc
mkdir -p ${RPM_BUILD_ROOT}/usr/share
mv ${RPM_BUILD_ROOT}/usr/info ${RPM_BUILD_ROOT}/usr/share/info
gzip $RPM_BUILD_ROOT/usr/share/info/*
strip $RPM_BUILD_ROOT/usr/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/wgetrc
/usr/man/man1/wget.1
/usr/bin/wget
/usr/share/info/*
/usr/share/locale/*/LC_MESSAGES/*
%doc AUTHORS MAILING-LIST NEWS README INSTALL doc/ChangeLog

%post
/sbin/install-info /usr/share/info/wget.info.gz /usr/share/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/share/info/wget.info.gz /usr/share/info/dir
fi


%changelog
* Mon Dec 16 2002 Takuya Uchida <tuchida@miraclelinux.com>
- update 1.8.2-5ml
- add Environment variable LTCONFIG_VERSION

* Mon Oct 25 1999 Kelley Spoon <kspoon@turbolinux.com>
- moved info dir to /usr/share/info

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree
- add Provides

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 1.5.3

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.5.2

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- modified group to Applications/Networking

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.0
- they removed the man page from the distribution (Duh!) and I added it back
  from 1.4.5. Hey, removing the man page is DUMB!

* Fri Nov 14 1997 Cristian Gafton <gafton@redhat.com>
- first build against glibc
